/***********************************************************************/
/*                                                                     */
/*                                                                     */
/* Program:                                                            */
/* --------                                                            */
/*                                                                     */
/* getone.c                                                            */
/*                                                                     */
/*                                                                     */
/* Version:                                                            */
/* --------                                                            */
/*                                                                     */
/* First version: February 2000                                        */
/* Latest update: 2003-01-31                                           */
/*                                                                     */
/*                                                                     */
/* Author of the program:                                              */
/* ----------------------                                              */
/*                                                                     */
/* Stefan Spaennare, Lund, Sweden                                      */
/*                                                                     */
/* E-mail: stefan@spaennare.se                                         */
/*                                                                     */
/* Web: http://www.spaennare.se/index.html                             */
/* Web: http://www.spaennare.se/ssnbody.html                           */
/*                                                                     */
/* If you have problems with the program please let me know!           */
/*                                                                     */
/*                                                                     */
/* Documentation:                                                      */
/* --------------                                                      */
/*                                                                     */
/* For a detailed description of the ssnbody nbody package see the     */
/* file ssnbody.pdf and ssnbody.ps on the ssnbody web page.            */
/*                                                                     */
/*                                                                     */
/***********************************************************************/

/*****************************************************************************/
/*                                                                           */
/* Notice:                                                                   */
/* =======                                                                   */
/*                                                                           */
/* I make no warranties that this program is (1) free of error, (2) con-     */
/* sistent with any standard merchantability, or (3) meeting the require-    */
/* ments of a particular application.  This software shall not, partly or    */
/* as a whole, participate in a process, whose outcome can result in injury  */
/* to a person or loss of property. It is solely designed for analytical     */
/* work.  Permission to use, copy, and distribute is hereby granted without  */
/* fee, providing that the header above including this notice appears in     */
/* all copies.                                                               */
/*                                                                           */
/*                                                         Stefan Spaennare  */
/*                                                                           */
/*****************************************************************************/


#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int main(argc,argv) 
int argc;
char *argv[];

{
   
   FILE *infile,*outfile;

   int n,i,j;


   double x,y,z,m;

   if (argc != 4) {
      printf("Usage: %s plot-infile plot-outfile ii\n",argv[0]);
      exit(0);
   } /* if */

   i=atoi(argv[3]);
   

   if ((infile = fopen(argv[1],"r")) == NULL) {
      printf("File not found.\n");
      exit(0);
   } /* if */

   outfile = fopen(argv[2],"w");


   fscanf(infile,"%d",&n);

   fprintf(outfile,"%6d\n",1);

   if (i > n) {
      i=n;
   } /* if */

   j=0;

   while (fscanf(infile,"%lf %lf %lf %lf",&x,&y,&z,&m) != EOF) {
      j++;
      if (j == i) {
         fprintf(outfile,"%13.6e %13.6e %13.6e %13.6e\n",x,y,z,m);
      } /* if */	 
      if (j == n) {
         j=0;
      } /* if */
   } /* while */

 
} /* End */
